package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePriceStrategyMonthEnt;
import pps.core.base.entity.BasePriceStrategyMonthView;

import java.util.List;

/**
 * 市电峰谷月配置
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Repository(value = "pps.core.base.mapper.BasePriceStrategyMonthViewMapper")
public interface BasePriceStrategyMonthViewMapper {
    BasePriceStrategyMonthView selectOne(BasePriceStrategyMonthView record);

    List<BasePriceStrategyMonthView> selectList(BasePriceStrategyMonthView record);

    /**
     * 删除月份对应详情信息
     *
     * @param strategyId 战略id
     * @param monthList  月清单
     * @return int
     */
    int deleteBatchByStrategyMonth(@Param(value = "strategyId") String strategyId,
                                   @Param(value = "monthList") List<BasePriceStrategyMonthEnt> monthList);
}
