package pps.core.base.service.data.base_price_strategy_month;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import pps.core.base.service.data.base_price_strategy_detail.CreateBasePriceStrategyDetailInput;
import xstartup.annotation.XText;

import java.util.Date;
import java.util.List;

/**
 * 月份入参
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Data
public class CreateBasePriceStrategyMonthInput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("市电峰谷配置ID")
    private String strategyId;

    @XText("市电峰谷月(1-12)")
    @NotNull(message = "月份不能为空")
    private Integer strategyMonth;

    /**
     * 策略明细入参
     */
    @Valid
    private List<CreateBasePriceStrategyDetailInput> details;
}
